Skip to main content
GET
Get the market share for DEX or NFT market for a given chain
  • Query can be found here
  • Chains included are: all EVM chains on Dune
  • Scheduled to update every day (23:30 UTC)
  • You can apply filters like WHERE, IN, AND/OR upon results

Use Cases

  • Recommend trending or emerging marketplaces by tracking shifts in the market share over time.
  • Feed into a marketing ROI tracker to assess campaign impacts on marketplace market share.
  • Build a competitive analysis tool to monitor marketplaces and sectors’ market share over time.

Column Descriptions

Headers

X-DUNE-API-KEY
string
required

API Key for the service

Path Parameters

chain
string
required

chain name (use Dune namespace, i.e. ethereum, solana, bnb, polygon, optimsm, etc)

market
string
required

sector of the marketshare, either 'dex' or 'nft'

Query Parameters

api_key
string

API Key for the service, alternative to using the HTTP header X-DUNE-API-KEY.

limit
integer
required

Limit number of rows to return. This together with 'offset' allows easy pagination through results in an incremental and efficient way. This parameter is incompatible with sampling (sample_count).

offset
integer

Offset row number to start (inclusive, first row means offset=0) returning results from. This together with 'limit' allows easy pagination through results in an incremental and efficient way. This parameter is incompatible with sampling (sample_count).

filters
string

Expression to filter out rows from the results to return. This expression is similar to a SQL WHERE clause. More details about it in the Filtering section of the doc. This parameter is incompatible with sample_count.

sort_by
string

Expression to define the order in which the results should be returned. This expression is similar to a SQL ORDER BY clause. More details about it in the Sorting section of the doc.

Response

OK

execution_id
string

Unique identifier for the execution

Example:

"01HW6N7VF1H7VYQ91GC0NP673E"

query_id
integer

Unique identifier for the query

Example:

3568055

is_execution_finished
boolean

Flag to indicate if the execution is finished

Example:

true

state
string

State of the query execution

Example:

"QUERY_STATE_COMPLETED"

submitted_at
string

Time when the query was submitted

Example:

"2024-04-23T23:39:15.297947Z"

expires_at
string

Time when the query will expire

Example:

"2024-07-22T23:39:29.38954Z"

execution_started_at
string

Time when the execution started

Example:

"2024-04-23T23:39:18.83657Z"

execution_ended_at
string

Time when the execution ended

Example:

"2024-04-23T23:39:29.389539Z"

result
object

results from query

Example:
metadata
object

metadata about the results

Example:
next_uri
string

URI to get the next set of results

Example:

"https://api.dune.com/api/v1/execution/01HW6N7VF1H7VYQ91GC0NP673E/results?filters=chain%3D%22base%22+AND+token_a_address+%3D+%270xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48%27+or+token_b_address+%3D+%270xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48%27&limit=10&offset=10&sort_by=all_time_volume+desc"

next_offset
integer

Offset to get the next set of results

Example:

10